<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames((['name', 'id' => null, 'label', 'value' => '1', 'checked' => false, 'disabled' => false, 'helpText' => null]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter((['name', 'id' => null, 'label', 'value' => '1', 'checked' => false, 'disabled' => false, 'helpText' => null]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>
<div <?php echo e($attributes->merge(['class' => 'admin-choice admin-switch-wrap mb-3'])); ?>>
    <input class="admin-switch form-check-input" type="checkbox" role="switch" id="<?php echo e($id ?: $name); ?>" name="<?php echo e($name); ?>" value="<?php echo e($value); ?>" <?php if(old($name, $checked)): echo 'checked'; endif; ?> <?php if($disabled): echo 'disabled'; endif; ?>>
    <label class="admin-choice-label" for="<?php echo e($id ?: $name); ?>"><span><?php echo e($label); ?></span><?php if($helpText): ?><small><?php echo e($helpText); ?></small><?php endif; ?></label>
</div>
<?php /**PATH /Users/mac/Documents/e-com/resources/views/components/admin/toggle-switch.blade.php ENDPATH**/ ?>